Bug 117931 - files are installed on wrong path
files are installed on wrong path
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
Depends On:
  Show dependency treegraph
Reported: 2004-03-10 01:49 EST by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-17 16:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2004-03-10 01:49:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.1)

Description of problem:
almost files are installed on /usr/lib/im. but it violates FHS.

*  /usr/lib/im/include/* should be moved to /usr/include or

* likewise.

* /usr/lib/im/bin/* should be moved to /usr/bin
* /usr/lib/im/htt and htt_server should be moved to /usr/sbin
* /usr/lib/im/htt.conf should be moved to /etc

* some files under /usr/lib/im/locale/UNIT/* should be moved to
/usr/share/whatever, because:
|/usr/lib : Libraries for programming and packages
|/usr/lib includes object files, libraries, and internal binaries that 
|are not intended to be executed directly by users or shell scripts.
|Applications may use a single subdirectory under /usr/lib. If an 
|application uses a subdirectory, all architecture-dependent data 
|exclusively used by the application must be placed within that 

|/usr/share : Architecture-independent data
|The /usr/share hierarchy is for all read-only architecture
independent data files.
|This hierarchy is intended to be shareable among all architecture 
|platforms of a given OS; thus, for example, a site with i386, Alpha, 
|and PPC platforms might maintain a single /usr/share directory that is 
|centrally-mounted. Note, however, that /usr/share is generally not 
|intended to be shared by different OSes or by different releases of 
|the same OS.
|Any program or package which contains or requires data that doesn't 
|need to be modified should store that data in /usr/share (or 
|/usr/local/share, if installed locally). It is recommended that a 
|subdirectory be used in /usr/share for this purpose.

So I wonder if some files under /usr/lib/im/locale/UNIT/* is
arch-depentent files.

* likewise

* likewise

* likewise

* /usr/lib/im/httx should be moved to /usr/bin. I don't think htt_xbe
should be moved to too, because httx wraps it.
Comment 1 Jens Petersen 2004-03-10 10:22:44 EST
Moving httx to bindir and htt to sbindir in -24.
Comment 2 Yu Shao 2004-03-10 11:09:11 EST
Could you bring the issue upstream, cause it would be more appropriate
to fix it from upstream.

Note You need to log in before you can comment on or make changes to this bug.